public class DrawingObjectAircraftCarrier implements IMoveableObject{
    private final DrawingAircraft drawingAircraft;

    public DrawingObjectAircraftCarrier(DrawingAircraft drawingShip){
        this.drawingAircraft = drawingShip;
    }
    public ObjectParameters getObjectPosition(){
        if(drawingAircraft == null || drawingAircraft.getEntityShip() == null)
            return null;
        return new ObjectParameters(drawingAircraft.getPosX(), drawingAircraft.getPosY(),
                drawingAircraft.getWidth(), drawingAircraft.getHeight());
    }
    public int getStep(){
        if(drawingAircraft.getEntityShip() == null)
            return 0;
        return drawingAircraft.getEntityShip().step.get().intValue();
    }
    public boolean checkCanMove(DirectionType direction){
        if(drawingAircraft == null)
            return false;
        return drawingAircraft.canMove(direction);
    }
    public void moveObject(DirectionType direction){
        drawingAircraft.moveTransport(direction);
    }
}

